
GammaLib - Action #289

Feature # 306 (In Progress): Clean up Fermi/LAT response classes

Extend and cleanup GLATResponseTable class

07/09/2012 12:18 AM - Knödlseder Jürgen

Status: In Progress Start date: 07/09/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 30%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Extend and cleanup the GLATResponseTable class to support version 3 PSF.

There is still quite a mix between logarithmic and linear values, probably a cleanup in naming is required. We also should make sure

that all methods are indeed required.

There are also arrays that are not allocated using std::vector. This should be changed.

And finally, we can certainly speed up some things. At least the code should be checked for speed ups.

History

#1 - 07/09/2012 12:24 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 07/09/2012 11:07 PM - Knödlseder Jürgen

- Target version set to Stage Jean-Baptiste Cayrou

#3 - 07/12/2012 10:15 AM - Knödlseder Jürgen

- Target version deleted (Stage Jean-Baptiste Cayrou)

#4 - 07/12/2012 10:15 AM - Knödlseder Jürgen

- Parent task changed from #283 to #306

#5 - 07/12/2012 10:15 AM - Knödlseder Jürgen

- Target version deleted (Stage Jean-Baptiste Cayrou)
